/**
 * @file
 * Main module JS file.
 */

(function (Drupal, $) {
  'use strict';
  Drupal.behaviors.mediaPixabay = {
    attach: function () {
      var eventType = 'click';
      if (window.PointerEvent) {
        eventType = 'pointerup';
      }
      var submitButton = '#pixabay-submit-entities';
      var imageWrapper = '.pixabay-image-wrapper';
      $(document).on(eventType, imageWrapper, function () {
        $(this).find(".pixabay-image-check").click();
        if ($(this).hasClass('pixabay-selected-image')) {
          $(this).removeClass('pixabay-configuration-error');
        }
        $(this).toggleClass('pixabay-selected-image');
      });
      $(document).on(eventType, submitButton, function () {
        $(imageWrapper).removeClass('pixabay-configuration-error');
      });
    }
  };
})(Drupal, jQuery, drupalSettings);
