<?php

namespace Drupal\media_pixabay\Api;

use function GuzzleHttp\json_decode;
use GuzzleHttp\ClientInterface;

/**
 * Class PixabayApiService.
 *
 * @package Drupal\media_pixabay\Api
 */
class PixabayApiService implements PixabayApiServiceInterface {

  /**
   * The HTTP client.
   *
   * @var \GuzzleHttp\ClientInterface
   */
  protected $httpClient;

  /**
   * PixabayApiService constructor.
   *
   * @param \GuzzleHttp\ClientInterface $http_client
   *   Http client.
   */
  public function __construct(ClientInterface $http_client) {
    $this->httpClient = $http_client;
  }

  /**
   * {@inheritDoc}
   */
  public function apiCall($queryStr) {
    $result = $this->httpClient->request('GET', 'https://pixabay.com/api/?' . $queryStr, [
      'headers' => [
        'Accept' => 'application/json',
        'Content-type' => 'application/json',
      ],
    ]);
    return json_decode($result->getBody()
      ->getContents());
  }

}
